<div class="container">
  <div class="row">
    <!-- <app-device *ngFor="let device of devices" [device]="device"></app-device> -->
    <app-device *ngFor="let device of devices" [device]="device"></app-device>
<!--
    <div class="column" *ngFor="let device of devices">
      <p>ID: {{ device.ID }}</p>
      <p>Name: {{ device.name }}</p>
      <ul *ngIf="device.variables.length">
        <li *ngFor="let variable of device.variables;">{{ variable.key }}: "{{ variable.value }}"</li>
      </ul>
    </div> -->
  </div>
</div>

<span (click)="emitSocket()">Press ME</span>
